apiVersion: apps/v1
kind: Deployment
metadata:
  name: job-kibana
spec:
  replicas: 1
  strategy:
    type: RollingUpdate
    rollingUpdate:
        maxSurge: 0
        maxUnavailable: 1 
  selector:
    matchLabels:
      app: job-kibana
  template:
    metadata:
      labels:
        app: job-kibana
    spec:
      containers:
        - name: job-kibana
          image: docker.elastic.co/kibana/kibana:7.1.1
          env:
          - name: ELASTICSEARCH_HOSTS
            value: "http://35.232.114.78:9200"

